org.omg.PortableInterceptor

## Class IORInterceptor_3_0Helper

- java.lang.Object
- - org.omg.PortableInterceptor.IORInterceptor_3_0Helper

    public abstract class IORInterceptor_3_0Helper
    extends Object

org/omg/PortableInterceptor/IORInterceptor_3_0Helper.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from /build/openjdk-8-RL54ef/openjdk-8-8u504-ga~us1/src/corba/src/share/classes/org/omg/PortableInterceptor/Interceptors.idl Thursday, August 27, 2026 9:13:19 PM UTC

### Constructor Summary

Constructors
Constructor and Description
`IORInterceptor_3_0Helper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static IORInterceptor_3_0` `extract(Any a)`
`static String` `id()`
`static void` `insert(Any a, IORInterceptor_3_0 that)`
`static IORInterceptor_3_0` `narrow(Object obj)`
`static IORInterceptor_3_0` `read(InputStream istream)`
`static TypeCode` `type()`
`static IORInterceptor_3_0` `unchecked_narrow(Object obj)`
`static void` `write(OutputStream ostream, IORInterceptor_3_0 value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IORInterceptor_3_0Helper

    public IORInterceptor_3_0Helper()

### Method Detail

#### insert

    public static void insert(Any a,
                              IORInterceptor_3_0 that)

#### extract

    public static IORInterceptor_3_0 extract(Any a)

#### type

    public static TypeCode type()

#### id

    public static String id()

#### read

    public static IORInterceptor_3_0 read(InputStream istream)

#### write

    public static void write(OutputStream ostream,
                             IORInterceptor_3_0 value)

#### narrow

    public static IORInterceptor_3_0 narrow(Object obj)

#### unchecked_narrow

    public static IORInterceptor_3_0 unchecked_narrow(Object obj)